
{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (garetxe@gmail.com)
-}

module GI.Cairo.Structs.FontFace
    ( 

-- * Exported types
    FontFace(..)                            ,
    noFontFace                              ,


    ) where

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

import GI.Cairo.Types
import GI.Cairo.Callbacks

newtype FontFace = FontFace (ForeignPtr FontFace)
foreign import ccall "cairo_gobject_font_face_get_type" c_cairo_gobject_font_face_get_type :: 
    IO GType

instance BoxedObject FontFace where
    boxedType _ = c_cairo_gobject_font_face_get_type

noFontFace :: Maybe FontFace
noFontFace = Nothing


