
{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (garetxe@gmail.com)
-}

module GI.Cairo.Functions
    ( 

 -- * Methods
-- ** imageSurfaceCreate
    imageSurfaceCreate                      ,




    ) where

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

import GI.Cairo.Types
import GI.Cairo.Callbacks

-- function cairo_image_surface_create
-- Args : []
-- Lengths : []
-- hInArgs : []
-- returnType : TBasicType TVoid
-- throws : False
-- Skip return : False

foreign import ccall "cairo_image_surface_create" cairo_image_surface_create :: 
    IO ()


imageSurfaceCreate ::
    (MonadIO m) =>
    m ()
imageSurfaceCreate  = liftIO $ do
    cairo_image_surface_create
    return ()



