
{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (garetxe@gmail.com)
-}

module GI.Cairo.Structs.Region
    ( 

-- * Exported types
    Region(..)                              ,
    noRegion                                ,


    ) where

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

import GI.Cairo.Types
import GI.Cairo.Callbacks

newtype Region = Region (ForeignPtr Region)
foreign import ccall "cairo_gobject_region_get_type" c_cairo_gobject_region_get_type :: 
    IO GType

instance BoxedObject Region where
    boxedType _ = c_cairo_gobject_region_get_type

noRegion :: Maybe Region
noRegion = Nothing


